Summary:	Battleships against the computer (character-cell graphics)
Summary(pl.UTF-8):	Gra w statki przeciwko komputerowi
Name:		battleships
Version:	2.13
Release:	1
License:	BSD
Group:		Applications/Games
Source0:	http://www.catb.org/~esr/bs/bs-%{version}.tar.gz
# Source0-md5:	ea60abdbce9283eee201c8c854aa9749
Patch0:		%{name}-ldflags.patch
URL:		http://www.catb.org/~esr/bs/
BuildRequires:	ncurses-devel
BuildRequires:	xmlto
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The classic game of Battleships against the computer. Uses
character-cell graphics with a visual point-and-shoot interface.

If you're using an xterm the mouse will work.

%description -l pl.UTF-8
Klasyczna gra w statki, tym razem przeciwko komputerowi. Wykorzystuje
grafikę znakową i ma wizualny interfejs "wskaż i strzel" (ang. "point
and shoot").

Mysz działa w xtermie.

%prep
%setup -q -n bs-%{version}
%patch0 -p1

%build
%{__make} \
	TERMLIB="-lncurses -ltinfo" \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I /usr/include/ncurses" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man6}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/bs
%{_datadir}/appdata/bs.adoc
%{_desktopdir}/bs.desktop
%{_iconsdir}/hicolor/32x32/apps/battleship.png
%{_mandir}/man6/bs.6*
%changelog
* Sun Dec 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/battleships.git;a=log;h=master

* Sun Dec 01 2024 Jakub Bogusz <qboosh@pld-linux.org> 64e4776
- updated to 2.13

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 75441a8
- ncurses rebuild
- release 2 (by relup.sh)

* Fri May 17 2013 Lukasz Glebicki <blekot@pld-linux.org> bd68e8b
- up to 2.9

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 279f2c3
- release 2

* Wed Oct 20 2010 lisu <lisu@pld-linux.org> 184768a
- add LDFLAGS

* Wed Oct 20 2010 lisu <lisu@pld-linux.org> 9cee773
- up to 2.8
- pass CFLAGS and LDFLAGS
- more verbose files
- adapter

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4abc375
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0009937
- converted to UTF-8

* Tue Jul 18 2006 darekr <darekr@pld-linux.org> 24c37a0
- pass CC

* Mon Dec 29 2003 Adam Gołębiowski <adamg@pld-linux.org> 8308039
- no longer needed (applied upstream)

* Mon Dec 29 2003 Adam Gołębiowski <adamg@pld-linux.org> 02603fb
- updated to 2.7
- removed -DESTDIR.patch (applied upstream)
- READ.ME renamed to README

* Fri Dec 26 2003 Adam Gołębiowski <adamg@pld-linux.org> 8d044fb
- updated to 2.6

* Thu Dec 25 2003 Adam Gołębiowski <adamg@pld-linux.org> 600cd3a
- fixed typo in Group
- adapterized

* Thu Dec 25 2003 Adam Gołębiowski <adamg@pld-linux.org> 33e3a7f
- DESTDIR support for battleships

* Thu Dec 25 2003 Adam Gołębiowski <adamg@pld-linux.org> 23eb9ce
- initial import

